org.eclipse.jetty.plus.jaas

## Class JAASPrincipal

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.JAASPrincipal

- All Implemented Interfaces:
    Serializable, Principal
  Direct Known Subclasses:
    JAASRole

      public class JAASPrincipal
      extends Object
      implements Principal, Serializable

  JAASPrincipal

  Impl class of Principal interface.

  #### Notes

  #### Usage

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAASPrincipal(String userName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object p)`
    `String` | `getName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JAASPrincipal

          public JAASPrincipal(String userName)

  - ### Method Detail

    - #### equals

          public boolean equals(Object p)

      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Object`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.